# Class RccTokenManager

java.lang.Object
org.apache.jute.compiler.generated.RccTokenManager

All Implemented Interfaces:
  `RccConstants`

public class RccTokenManager extends Object implements RccConstants
Token Manager.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected int`
`curChar`
`PrintStream`
`debugStream`
Debug output.
`protected SimpleCharStream`
`input_stream`
`static final int[]`
`jjnewLexState`
Lex State array.
`static final String[]`
`jjstrLiteralImages`
Token literal values.
`static final String[]`
`lexStateNames`
Lexer state names.

### Fields inherited from interface RccConstants

`BOOLEAN_TKN, BUFFER_TKN, BYTE_TKN, COMMA_TKN, CSTRING_TKN, DEFAULT, DOT_TKN, DOUBLE_TKN, EOF, FLOAT_TKN, GT_TKN, IDENT_TKN, INCLUDE_TKN, INT_TKN, LBRACE_TKN, LONG_TKN, LT_TKN, MAP_TKN, MODULE_TKN, RBRACE_TKN, RECORD_TKN, SEMICOLON_TKN, tokenImage, USTRING_TKN, VECTOR_TKN, WithinMultiLineComment, WithinOneLineComment`

## Constructor Summary

Constructors
Constructor
Description
`RccTokenManager(SimpleCharStream stream)`
Constructor.
`RccTokenManager(SimpleCharStream stream, int lexState)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Token`
`getNextToken()`
Get the next Token.
`protected Token`
`jjFillToken()`
`void`
`ReInit(SimpleCharStream stream)`
Reinitialise parser.
`void`
`ReInit(SimpleCharStream stream, int lexState)`
Reinitialise parser.
`void`
`setDebugStream(PrintStream ds)`
Set debug output.
`void`
`SwitchTo(int lexState)`
Switch to specified lex state.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### debugStream

public PrintStream debugStream
Debug output.

### jjstrLiteralImages

public static final String[] jjstrLiteralImages
Token literal values.

### lexStateNames

public static final String[] lexStateNames
Lexer state names.

### jjnewLexState

public static final int[] jjnewLexState
Lex State array.

### input_stream

protected SimpleCharStream input_stream

### curChar

protected int curChar

## Constructor Details

### RccTokenManager

public RccTokenManager(SimpleCharStream stream)
Constructor.

### RccTokenManager

public RccTokenManager(SimpleCharStream stream, int lexState)
Constructor.

## Method Details

### setDebugStream

public void setDebugStream(PrintStream ds)
Set debug output.

### jjFillToken

protected Token jjFillToken()

### getNextToken

public Token getNextToken()
Get the next Token.

### ReInit

public void ReInit(SimpleCharStream stream)
Reinitialise parser.

### ReInit

public void ReInit(SimpleCharStream stream, int lexState)
Reinitialise parser.

### SwitchTo

public void SwitchTo(int lexState)
Switch to specified lex state.